## EntangleProgress EntangleProgress |

## Functions

void | entangle_progress_start ()
void | entangle_progress_update ()
void | entangle_progress_stop ()

## Types and Values

struct | EntangleProgressInterface

## Object Hierarchy

        GInterface
        ╰── EntangleProgress

## Description

## Functions

### entangle_progress_start ()

    void
    entangle_progress_start (EntangleProgress *prog,
                             float target,
                             const char *msg);

### entangle_progress_update ()

    void
    entangle_progress_update (EntangleProgress *prog,
                              float current);

### entangle_progress_stop ()

    void
    entangle_progress_stop (EntangleProgress *prog);

## Types and Values

### struct EntangleProgressInterface

    struct EntangleProgressInterface {
        GTypeInterface parent;

        void (*start) (EntangleProgress *prog, float target, const char *msg);
        void (*update) (EntangleProgress *prog, float current);
        void (*stop) (EntangleProgress *prog);
    };